<? include ($_SERVER['DOCUMENT_ROOT']."/ini/patch.php")  ;
   include (_DIR_TO_ENGINE."/i_system.php") ;
   $arr=explode('/',_CUR_PAGE_DIR) ;
   $options['ext']='aspmo' ;
   if (strpos(_CUR_PAGE_DIR,'/window/setting/')!==false) $reboot_all=1 ;
   if (strpos(_CUR_PAGE_DIR,'/window/rmv/')!==false) $reboot_all=1 ;

   $check_dir=_DIR_EXT.'/aspmo_'.$arr[2].'/' ;
   if (is_dir($check_dir))  $options['ext']='aspmo_'.$arr[2] ;
   else { $check_dir=_DIR_EXT.'/'.$arr[2].'/' ;
          if (is_dir($check_dir))  $options['ext']=$arr[2] ;
        }

   $cnt1=0 ; $cnt2=0 ; $cnt3=0 ;
   $arr2=$arr ; // _CUR_REPORT_DIR должны получить с учетом _CUR_ID в пути
   if (_sizeof($arr)) foreach($arr as $i=>$value)
   { if (is_numeric($value))         {  unset($arr[$i]) ;  define('_CUR_ID',$value) ; $cnt1++ ; $GLOBALS['URL_PARAMS'][$arr[$i-1]]=$value ; }
     if (strpos($value,'[')!==false) {  unset($arr[$i]) ; unset($arr2[$i]) ;  define('_CUR_FILTER',$value) ; $cnt2++ ; }
     if ($i>1 and $arr[$i-1]=='reports' and $value) {  unset($arr[$i]) ; unset($arr2[$i]) ;  define('_CUR_REPORT',$value) ; $cnt3++ ; }
   }
   $arr=array_values($arr) ;
   define('_CUR_ID',0) ;
   define('_CUR_FILTER','') ;
   define('_CUR_REPORT','') ;

   define('_CUR_CAB_DIR',implode('/',$arr)) ;

   if (_CUR_REPORT)   define('_CUR_REPORT_DIR',implode('/',$arr2)._CUR_REPORT.'/') ;
   else               define('_CUR_REPORT_DIR',implode('/',$arr2)) ;

   unset($arr[_sizeof($arr)-1]) ;
   unset($arr[0]) ;
   unset($arr[1]) ;

   if (_IS_SYSTEM_IP and 0)
   { echo '_CUR_ID='._CUR_ID.'<br>' ;
     echo '_CUR_REPORT='._CUR_REPORT.'<br>' ;
     echo '_CUR_FILTER='._CUR_FILTER.'<br>' ;
     echo '_CUR_REPORT_DIR='._CUR_REPORT_DIR.'<br>' ;
     echo '_CUR_CAB_DIR='._CUR_CAB_DIR.'<br>' ;
     echo '$arr='.print_r($arr,true).'<br>' ;
     //return ;
   }
   //if ($arr[])
   if (_sizeof($arr))
   {   $suff=implode('_',$arr) ;
       $options['class_file']='c_'.$suff.'.php' ;
       $options['class_name']='c_page_cab_'.$suff ;
   }
   else
   { $options['class_file']='c_index.php' ;
     $options['class_name']='c_page_cab' ;
   }
   //if (_IS_SYSTEM_IP) damp_array($options) ;
   show_page($options) ;
?>
